#
# spec file for package insserv-compat
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# icecream 0


Name:           insserv-compat
Summary:        Simple insserv replacement for systemd only systems
License:        MIT
Group:          System/Base
Version:        0.1
Release:        lp152.5.1
Url:            https://build.opensuse.org/package/show?package=%name&project=openSUSE%3AFactory
Source:         insserv.pl
Source1:        init-functions
Source2:        insserv.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Obsoletes:      insserv <= 1.16.0
Provides:       insserv = 1.16.1-1
Requires:       perl(Getopt::Long)

%description 
insserv is used enable System V init scripts. This package only
contains a stub implemenation for use on systemd only systems.

%prep
%setup -q -c -T
%build
pod2man -s 8 -c 'The openSUSE boot concept' -r "" -u %SOURCE0 insserv.8

%install
for i in /sbin %{_sbindir} /usr/lib/lsb /lib/lsb %{_mandir}/man8 %{_sysconfdir}; do
	install -d -m 755 %{buildroot}$i
done
install -m755 %{SOURCE0} %{buildroot}%{_sbindir}/insserv
install -m755 %{SOURCE1} %{buildroot}/lib/lsb/init-functions
install -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/insserv.conf
install -m644 insserv.8 %{buildroot}%{_mandir}/man8
ln -s ../usr/sbin/insserv  %{buildroot}/sbin/insserv
ln -s ../../sbin/insserv  %{buildroot}/usr/lib/lsb/install_initd
ln -s ../../sbin/insserv  %{buildroot}/usr/lib/lsb/remove_initd
mkdir -p %{buildroot}/etc/init.d/{boot.d,rc0.d,rc1.d,rc2.d,rc3.d,rc4.d,rc5.d,rc6.d,rcS.d}
ln -s init.d %{buildroot}/etc/rc.d

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config %{_sysconfdir}/insserv.conf
%dir %attr(0755,root,root) /etc/init.d
%dir %attr(0755,root,root) /etc/init.d/boot.d
%dir %attr(0755,root,root) /etc/init.d/rc0.d
%dir %attr(0755,root,root) /etc/init.d/rc1.d
%dir %attr(0755,root,root) /etc/init.d/rc2.d
%dir %attr(0755,root,root) /etc/init.d/rc3.d
%dir %attr(0755,root,root) /etc/init.d/rc4.d
%dir %attr(0755,root,root) /etc/init.d/rc5.d
%dir %attr(0755,root,root) /etc/init.d/rc6.d
%dir %attr(0755,root,root) /etc/init.d/rcS.d
/etc/rc.d
%{_sbindir}/insserv
/sbin/insserv
%dir /lib/lsb
/lib/lsb/init-functions
%dir /usr/lib/lsb
/usr/lib/lsb/install_initd
/usr/lib/lsb/remove_initd
%{_mandir}/man8/insserv.*

%changelog
* Thu Oct 10 2019 Ludwig Nussel <lnussel@suse.de>
- fix handling of ,start= parameters (bsc#1133306)
- remove not needed named entry from insserv.conf (bsc#1052837)
* Tue Feb  6 2018 kukuk@suse.de
- Own the lib/lsb directories, without this package, lsb init scripts
  are not supported and nobody else is using them.
* Fri Apr 28 2017 arvidjaar@gmail.com
- Also provide /etc/rc.d link which was provided by filesystem (bsc#1035062)
* Wed Mar 29 2017 kukuk@suse.com
- Add /etc/init.d hierachy from filesystem
* Mon Jan 18 2016 lnussel@suse.de
- ntp was renamed to ntpd at some point (bsc#960820)
* Tue Dec  1 2015 lnussel@suse.de
- fix directory argument parsing (bnc#944903)
* Wed Jun 10 2015 lnussel@suse.de
- it's perl script so actually require perl(Getopt::Long)
* Mon Sep  8 2014 lnussel@suse.de
- don't add dependency between named and $network as
  systemd-insserv-generator translates them to nss-lookup.target and
  network-online.target which results in an undesirable,
  unconditional dependency of multi-user.target on
  network-online.target (bnc#895611)
* Tue Jun  3 2014 lnussel@suse.de
- remove reference to openSUSE 12.3
- add LSB init script header block as example (bnc#865018)
- support runlevel override (bnc#869260)
* Tue Mar 25 2014 jdelvare@suse.de
- turn into a noarch package
* Fri Jul  5 2013 lnussel@suse.de
- print warning if a sysv init script is masked by a systemd service
  (bnc#798510, bnc#804273)
* Fri Jan 25 2013 lnussel@suse.de
- install compat insserv.conf (bnc#800477)
* Sat Jan 19 2013 lnussel@suse.de
- strip off extra start/stop overrides
* Mon Jan 14 2013 lnussel@suse.de
- don't hard require Pod::Usage (bnc#798316)
* Tue Dec 18 2012 lnussel@suse.de
- new package
